Loading...
Searching...
No Matches
gx_engine::MidiStandardControllers::modstring Struct Reference

## Public Member Functions

| modstring (const string &n, bool m, const char *s)
| modstring (const char *n)
| modstring ()

## Public Attributes

string | name
bool | modified
const char * | std

## Detailed Description

Definition at line 680 of file gx_parameter.h.

## Constructor & Destructor Documentation

## modstring() [1/3]

gx_engine::MidiStandardControllers::modstring::modstring | ( | const string & | n,
|  | bool | m,
|  | const char * | s )

inline

Definition at line 684 of file gx_parameter.h.

## modstring() [2/3]

gx_engine::MidiStandardControllers::modstring::modstring | ( | const char * | n | ) |

inline explicit

Definition at line 685 of file gx_parameter.h.

## modstring() [3/3]

gx_engine::MidiStandardControllers::modstring::modstring | ( |  | ) |

inline

Definition at line 686 of file gx_parameter.h.

## Member Data Documentation

## modified

bool gx_engine::MidiStandardControllers::modstring::modified

Definition at line 682 of file gx_parameter.h.

Referenced by modstring(), modstring(), and modstring().

## name

string gx_engine::MidiStandardControllers::modstring::name

Definition at line 681 of file gx_parameter.h.

Referenced by modstring(), modstring(), and modstring().

## std

const char* gx_engine::MidiStandardControllers::modstring::std

Definition at line 683 of file gx_parameter.h.

Referenced by modstring(), modstring(), and modstring().

The documentation for this struct was generated from the following file:

- src/headers/gx_parameter.h